Last Comment Bug 809821 - Update libpixman to 0.29.2
: Update libpixman to 0.29.2
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: mozilla21
Assigned To: Jeff Muizelaar [:jrmuizel]
:
Mentors:
Depends on: 746695
Blocks: 870258
  Show dependency treegraph
 
Reported: 2012-11-08 05:05 PST by Loic
Modified: 2016-04-07 13:59 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
21+


Attachments

Description Loic 2012-11-08 05:05:41 PST
libpixman 0.28.0 is available, see http://www.cairographics.org/releases/
Comment 1 A, T 2012-11-08 05:53:16 PST
A conveniently placed changelog would have been great to include:

http://lists.x.org/archives/xorg-announce/2012-November/002094.html
Comment 2 Jeff Muizelaar [:jrmuizel] 2012-11-08 05:56:08 PST
FWIW, the majority of the changes have already been merged in.
Comment 3 NVD 2012-12-14 10:30:42 PST
http://lists.cairographics.org/archives/cairo-announce/2012-December/000208.html

libpixman 0.28.2 released.

Log:
	Benjamin Gilbert (1):
	      Fix thread safety on mingw-w64 and clang
	
	Joshua Root (1):
	      Fix undeclared variable use and sysctlbyname error handling on ppc
	
	Stefan Weil (1):
	      Always use xmmintrin.h for 64 bit Windows
	
	Søren Sandmann Pedersen (2):
	      Post-release version bump to 0.28.1
	      Pre-release version bump to 0.28.2
Comment 4 fxtech 2013-01-31 01:21:45 PST
PS: question , is it able to use SSE2 code path even on windows 32bit build ? we have real performance measurable improvment from the pixman improve ?


http://lists.cairographics.org/archives/cairo-announce/2013-January/000210.html

Libpixman 0.29.2 released

A new pixman release 0.29.2 is now available. This is the first
development snapshot leading up to a stable 0.30.0 release.

News in this release:

* Assembly optimizations for the Raspberry Pi and other ARMv6 chips
  [Ben Avison]

* Comprehensive support for high-quality image resampling filters
  [Søren Sandmann]

* Improved precision for matrix arithmetic [Siarhei Siamashka]

Other news include optimizations in the SSE2 backend [Chris Wilson],
in the MIPS DSPr2 backend [Nemanja Lukic], and in the generic C
backend [Siarhei Siamashka], plus a number of bug fixes and
improvements to the test suite.
Comment 5 Jeff Muizelaar [:jrmuizel] 2013-01-31 06:43:32 PST
The intention is to update gradually to make bisection easier
Comment 6 Joe Drew (not getting mail) 2013-01-31 06:49:17 PST
(In reply to fxtech from comment #4)
> PS: question , is it able to use SSE2 code path even on windows 32bit build
> ?

Yes, it's enabled at run time for processors that support it.
Comment 7 Jeff Muizelaar [:jrmuizel] 2013-02-04 12:14:28 PST
Actually, I confused this bug with bug 836171
Comment 8 Jeff Muizelaar [:jrmuizel] 2013-02-18 07:20:38 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/46897ceac253
Comment 9 Gregory Szorc [:gps] 2013-02-18 21:28:24 PST
https://hg.mozilla.org/mozilla-central/rev/46897ceac253
Comment 10 Jeff Muizelaar [:jrmuizel] 2013-02-19 10:42:51 PST
This gives a bunch of improvements to blitting performance on armv6 along with some x86 improvements.
Comment 11 fxtech 2013-02-19 13:47:27 PST
there is a way to discover when azure going on fallback in cairo ?
Comment 12 Jeff Muizelaar [:jrmuizel] 2013-02-19 14:14:01 PST
Not really.

Note You need to log in before you can comment on or make changes to this bug.